# Class PickCylinder

java.lang.Object
javax.media.j3d.PickShape
javax.media.j3d.PickCylinder

Direct Known Subclasses:
  `PickCylinderRay, PickCylinderSegment`

public abstract class PickCylinder extends PickShape
PickCylinder is the abstract base class of all cylindrical pick shapes.

Since:
  Java 3D 1.2

## Constructor Summary

Constructors
Constructor
Description
`PickCylinder()`
Constructs an empty PickCylinder.

## Method Summary

Modifier and Type
Method
Description
`void`
`getDirection(javax.vecmath.Vector3d direction)`
Gets the direction of this cylinder.
`void`
`getOrigin(javax.vecmath.Point3d origin)`
Gets the origin point of this cylinder object.
`double`
`getRadius()`
Gets the radius of this cylinder object

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PickCylinder

public PickCylinder()
Constructs an empty PickCylinder. The origin of the cylinder is initialized to (0,0,0). The radius is initialized to 0.

## Method Details

### getOrigin

public void getOrigin(javax.vecmath.Point3d origin)
Gets the origin point of this cylinder object.

Parameters:
  `origin` - the Point3d object into which the origin point will be copied

### getRadius

public double getRadius()
Gets the radius of this cylinder object

Returns:
  the radius in radians

### getDirection

public void getDirection(javax.vecmath.Vector3d direction)
Gets the direction of this cylinder.

Parameters:
  `direction` - the Vector3d object into which the direction will be copied